Communication Model V1 - Subnetwork Configuration Is Missing

1451
16
Jump to solution
11-20-2020 12:22 AM
JürgenBiendara
New Contributor III

Hello,

I am trying to set up "CommunicationsDataManagementForArcGISEnterpriseV1" but get attached error during application of asset package.

Is this problem known and is there a solution/fix to it?

Thanks and best regards,
Jürgen

0 Kudos
1 Solution

Accepted Solutions
JürgenBiendara
New Contributor III

Hi Paul,

With the help from Esri support (see case #02696389) we figured out that the problem was caused by a corrupted installation of the "pandas 1.1.3" package. Today, in another attempt to upgrade the untools, ArcGIS Pro installed "pandas 1.1.5" sucessfully and after that also "untools 2.6.2". Right now, I am applying the asset package of the Communication Data Management and it seems to be running successfully as well.

Best regards,
Jürgen

View solution in original post

16 Replies
JohnAlsup
Esri Contributor

Hi Jurgen

Was this asset package modified in any way after being downloaded?

0 Kudos
JürgenBiendara
New Contributor III

Hi John

No, I didn't modify the asset package at all. Even the entire environment was set up completely anew with PostgreSQL 11 as enterprise database.

Regards,
Jürgen

0 Kudos
by Anonymous User
Not applicable

Could you post the message section of the GP tool?  This will provide us the version of ArcGIS Pro and the version of the untools.

0 Kudos
JürgenBiendara
New Contributor III

Hi Michael,

This is what the messages section reports:

Start Time: Monday, November 23, 2020 7:36:51 AM
ArcGIS Pro 2.6.3.24783
untools 2.6.0
Executing from ArcGIS Pro, 0 map(s), activeMap = False
Parallel processing enabled: 3
Asset Package schema version: 2.6
The asset package has the following errors (4/4):
                             Item Field   OID                                            Value                                         Message  Level
0  B_Subnetwork_ConditionBarriers  None  None  Switch: B_Subnetwork_Devices|B_Subnetwork_Lines  A required subnetwork configuration is missing  error
1  B_Subnetwork_ConditionBarriers  None  None    Coax: B_Subnetwork_Devices|B_Subnetwork_Lines  A required subnetwork configuration is missing  error
2  B_Subnetwork_ConditionBarriers  None  None  Copper: B_Subnetwork_Devices|B_Subnetwork_Lines  A required subnetwork configuration is missing  error
3  B_Subnetwork_ConditionBarriers  None  None   Fiber: B_Subnetwork_Devices|B_Subnetwork_Lines  A required subnetwork configuration is missing  error
Failed to execute (AssetPackageToUtilityNetwork).
Failed at Monday, November 23, 2020 7:37:14 AM (Elapsed Time: 22.33 seconds)
 
Regards,
Jürgen
0 Kudos
PaulLeBlanc1
Esri Contributor

I believe you need to update your version of untools

0 Kudos
JürgenBiendara
New Contributor III

Hi Paul

I have untools 2.6.0 installed. I think there is no newer version of the untools.

Regards, Jürgen

0 Kudos
PaulLeBlanc1
Esri Contributor

https://solutions.arcgis.com/utilities/help/utility-network-automation/get-started/release-notes-2-6...

You should see an update in the packages list. Might need to refresh

PaulLeBlanc1_0-1606952321418.png

 

 

0 Kudos
JürgenBiendara
New Contributor III

The Update Packages list only shows untools 2.6.0, even after refreshing. It is the same version of the untools that is already installed in my environment. Nevertheless, I hit the "Update All" button, but the result was the same. Which version of untools are we looking for?

0 Kudos
JürgenBiendara
New Contributor III

Hi Paul

So it is untools 2.6.2 we are looking for. Any idea how I can install it? As mentioned below, my ArcGIS Pro doesn't offer it for installation.

Regards,
Jürgen

0 Kudos